Bug 424347 - Android: Flickering square appears where you are currently drawing
Summary: Android: Flickering square appears where you are currently drawing
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 4.3.0
Platform: Android Android 10.x
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2020-07-17 18:55 UTC by xeses16388
Modified: 2020-11-18 09:55 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description xeses16388 2020-07-17 18:55:57 UTC
SUMMARY
A distracting flickering grayish square appears whereever you are drawing on the canvas. Sometimes the square stays on the canvas, and to get rid of it, you need to "refresh" the view of your layer by toggling your layer off and then on. 


STEPS TO REPRODUCE
1. Draw on the canvas

OBSERVED RESULT
Notice the flickering square appear near where your stylus is drawing.

EXPECTED RESULT
No flickering. A clear clean view of your brush stroke.

SOFTWARE/OS VERSIONS
Android build based on 4.3.0 stable (git 3b71809)

ADDITIONAL INFORMATION
Comment 1 Anna Medonosova 2020-07-21 08:07:39 UTC
This might be a matter of fine tuning the configuration to your hardware. Can you reproduce the flickering with different display settings?

To change display settings, go to "Settings" -> "Configure Krita" -> "Display". You can try
1, unchecking the "Use texture buffer" option
2, selecting a different "Scaling Mode"
3, turning off "Canvas Graphics Acceleration"

For more details about the settings, you can refer to the manual at https://docs.krita.org/en/reference_manual/preferences/display_settings.html
Comment 2 xeses16388 2020-07-28 21:54:45 UTC
The flickering is still reproducible with the different settings with exception to disabling Canvas Graphics Acceleration. Disabling technically disappears the flickering, but now the canvas turns blurry and performance is so slow with it disabled, so that CGA option is not worth considering. 

I'm on an Android tablet, by the way.
Comment 3 Bug Janitor Service 2020-11-17 14:00:27 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/592
Comment 4 sh_zam 2020-11-18 09:54:49 UTC
Git commit 34d7b5a25a38da5c5d29cca5bbf09775a49b2312 by Sharaf Zaman.
Committed on 18/11/2020 at 09:54.
Pushed by szaman into branch 'krita/4.3'.

Bugfix Android: flickering tiles on OpenGL canvas

M  +2    -2    libs/ui/opengl/kis_opengl_canvas2.cpp

https://invent.kde.org/graphics/krita/commit/34d7b5a25a38da5c5d29cca5bbf09775a49b2312
Comment 5 sh_zam 2020-11-18 09:55:11 UTC
Git commit 8bf0fc58a40e1270623e4e2087dec29bfc2878ec by Sharaf Zaman.
Committed on 18/11/2020 at 09:55.
Pushed by szaman into branch 'master'.

Bugfix Android: flickering tiles on OpenGL canvas


(cherry picked from commit 34d7b5a25a38da5c5d29cca5bbf09775a49b2312)

M  +2    -2    libs/ui/opengl/kis_opengl_canvas2.cpp

https://invent.kde.org/graphics/krita/commit/8bf0fc58a40e1270623e4e2087dec29bfc2878ec